commit 56540950e73d331fc04443409c578e4354337309
Author: Cole Robinson <crobinso@redhat.com>
Date:   Mon Jun 26 10:40:39 2017 -0400

    qemu: command: always use -chardev for monitor config
    
    AFAIK there aren't any cases where we will/should hit the old code
    path for our supported qemu versions, so drop the old code.
    
    Massive test suite churn follows
    
    Reviewed-by: Andrea Bolognani <abologna@redhat.com>
    Signed-off-by: Cole Robinson <crobinso@redhat.com>

Index: libvirt-3.3.0/src/qemu/qemu_command.c
===================================================================
--- libvirt-3.3.0.orig/src/qemu/qemu_command.c
+++ libvirt-3.3.0/src/qemu/qemu_command.c
@@ -5581,32 +5581,18 @@ qemuBuildMonitorCommandLine(virLogManage
     if (!monitor_chr)
         return 0;
 
-    /* Use -chardev if it's available */
-    if (virQEMUCapsGet(qemuCaps, QEMU_CAPS_CHARDEV)) {
+    if (!(chrdev = qemuBuildChrChardevStr(logManager, cmd, cfg, def,
+                                          monitor_chr, "monitor",
+                                          qemuCaps, true)))
+        return -1;
+    virCommandAddArg(cmd, "-chardev");
+    virCommandAddArg(cmd, chrdev);
+    VIR_FREE(chrdev);
 
-        if (!(chrdev = qemuBuildChrChardevStr(logManager, cmd, cfg, def,
-                                              monitor_chr, "monitor",
-                                              qemuCaps, true)))
-            return -1;
-        virCommandAddArg(cmd, "-chardev");
-        virCommandAddArg(cmd, chrdev);
-        VIR_FREE(chrdev);
-
-        virCommandAddArg(cmd, "-mon");
-        virCommandAddArgFormat(cmd,
-                               "chardev=charmonitor,id=monitor,mode=%s",
-                               monitor_json ? "control" : "readline");
-    } else {
-        const char *prefix = NULL;
-        if (monitor_json)
-            prefix = "control,";
-
-        virCommandAddArg(cmd, "-monitor");
-        if (!(chrdev = qemuBuildChrArgStr(monitor_chr, prefix)))
-            return -1;
-        virCommandAddArg(cmd, chrdev);
-        VIR_FREE(chrdev);
-    }
+    virCommandAddArg(cmd, "-mon");
+    virCommandAddArgFormat(cmd,
+                           "chardev=charmonitor,id=monitor,mode=%s",
+                           monitor_json ? "control" : "readline");
 
     return 0;
 }
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-aavmf-virtio-mmio.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-aarch64-aavmf-virtio-mmio.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-aavmf-virtio-mmio.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,\
+path=/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -kernel /aarch64.kernel \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-acpi-uefi.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-aarch64-acpi-uefi.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-acpi-uefi.args
@@ -18,5 +18,7 @@ unit=1 \
 -uuid 496d7ea8-9739-544b-4ebd-ef08be936e8b \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-guest/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-guest/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-cpu-passthrough.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-aarch64-cpu-passthrough.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-cpu-passthrough.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,\
+path=/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -drive file=/aarch64.raw,format=raw,if=none,id=drive-virtio-disk0 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-gic-host.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-aarch64-gic-host.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-gic-host.args
@@ -14,6 +14,8 @@ QEMU_AUDIO_DRV=none \
 -uuid 6ba410c5-1e5c-4d57-bee7-2228e7ffa32f \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,\
+path=/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-gic-v2.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-aarch64-gic-v2.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-gic-v2.args
@@ -14,6 +14,8 @@ QEMU_AUDIO_DRV=none \
 -uuid 6ba410c5-1e5c-4d57-bee7-2228e7ffa32f \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,\
+path=/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-gic-v3.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-aarch64-gic-v3.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-gic-v3.args
@@ -14,6 +14,8 @@ QEMU_AUDIO_DRV=none \
 -uuid 6ba410c5-1e5c-4d57-bee7-2228e7ffa32f \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,\
+path=/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-kvm-32-on-64.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-aarch64-kvm-32-on-64.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-kvm-32-on-64.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-armtest/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-armtest/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -kernel /arm.kernel \
 -initrd /arm.initrd \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-noacpi-nouefi.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-aarch64-noacpi-nouefi.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-noacpi-nouefi.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 496d7ea8-9739-544b-4ebd-ef08be936e8b \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-guest/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-guest/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -kernel /var/lib/libvirt/images/guest.vmlinuz \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-noacpi-uefi.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-aarch64-noacpi-uefi.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-noacpi-uefi.args
@@ -18,6 +18,8 @@ unit=1 \
 -uuid 496d7ea8-9739-544b-4ebd-ef08be936e8b \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-guest/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-guest/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-usb-controller-nec-xhci.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-aarch64-usb-controller-nec-xhci.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-usb-controller-nec-xhci.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device nec-usb-xhci,id=usb,bus=pcie.0,addr=0x1
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-usb-controller-qemu-xhci.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-aarch64-usb-controller-qemu-xhci.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-usb-controller-qemu-xhci.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device qemu-xhci,id=usb,bus=pcie.0,addr=0x1
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-video-virtio-gpu-pci.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-aarch64-video-virtio-gpu-pci.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-video-virtio-gpu-pci.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-aarch64-vgpu/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,\
+path=/tmp/lib/domain--1-aarch64-vgpu/monitor.sock,server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -device ioh3420,port=0x8,chassis=1,id=pci.1,bus=pcie.0,multifunction=on,\
 addr=0x1 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-virt-2.6-virtio-pci-default.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-aarch64-virt-2.6-virtio-pci-default.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-virt-2.6-virtio-pci-default.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,\
+path=/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -kernel /aarch64.kernel \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-virt-default-nic.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-aarch64-virt-default-nic.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-virt-default-nic.args
@@ -15,8 +15,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-aarch64-virt-default/monitor.sock,server,\
-nowait \
+-chardev socket,id=charmonitor,\
+path=/tmp/lib/domain--1-aarch64-virt-default/monitor.sock,server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -kernel /aarch64.kernel \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-virt-virtio.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-aarch64-virt-virtio.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-virt-virtio.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,\
+path=/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -kernel /aarch64.kernel \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-virtio-pci-default.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-aarch64-virtio-pci-default.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-virtio-pci-default.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,\
+path=/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -kernel /aarch64.kernel \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-virtio-pci-manual-addresses.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-aarch64-virtio-pci-manual-addresses.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-aarch64-virtio-pci-manual-addresses.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,\
+path=/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -kernel /aarch64.kernel \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-acpi-table.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-acpi-table.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-acpi-table.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -acpitable sig=SLIC,file=/var/lib/libvirt/acpi/slic.dat \
 -usb
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-arm-vexpressa9-basic.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-arm-vexpressa9-basic.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-arm-vexpressa9-basic.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-armtest/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-armtest/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -kernel /arm.kernel \
 -initrd /arm.initrd \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-arm-vexpressa9-nodevs.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-arm-vexpressa9-nodevs.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-arm-vexpressa9-nodevs.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-armtest/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-armtest/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -kernel /arm.kernel \
 -initrd /arm.initrd \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-arm-vexpressa9-virtio.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-arm-vexpressa9-virtio.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-arm-vexpressa9-virtio.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-armtest/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-armtest/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -kernel /arm.kernel \
 -initrd /arm.initrd \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-arm-virt-virtio.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-arm-virt-virtio.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-arm-virt-virtio.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-armtest/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-armtest/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -kernel /arm.kernel \
 -initrd /arm.initrd \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-autoindex.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-autoindex.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-autoindex.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 11dbdcdd-4c3b-482b-8903-9bdb8c0a2774 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-q35-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-q35-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device i82801b11-bridge,id=pci.1,bus=pcie.0,addr=0x1e \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-balloon-ccw-deflate.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-balloon-ccw-deflate.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-balloon-ccw-deflate.args
@@ -14,6 +14,8 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -device virtio-balloon-ccw,id=balloon0,devno=fe.0.000a,deflate-on-oom=on
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-balloon-device-auto.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-balloon-device-auto.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-balloon-device-auto.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-balloon-device-deflate-off.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-balloon-device-deflate-off.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-balloon-device-deflate-off.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-balloon-device-deflate.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-balloon-device-deflate.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-balloon-device-deflate.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-balloon-device-period.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-balloon-device-period.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-balloon-device-period.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-balloon-device.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-balloon-device.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-balloon-device.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-balloon-mmio-deflate.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-balloon-mmio-deflate.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-balloon-mmio-deflate.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,\
+path=/tmp/lib/domain--1-aarch64test/monitor.sock,server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -kernel /aarch64.kernel \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-bios-nvram-secure.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-bios-nvram-secure.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-bios-nvram-secure.args
@@ -17,7 +17,9 @@ readonly=on \
 -uuid 362d1fc1-df7d-193e-5c18-49a71bd1da66 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-test-bios/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-test-bios/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -device i82801b11-bridge,id=pci.1,bus=pcie.0,addr=0x1e \
 -device pci-bridge,chassis_nr=2,id=pci.2,bus=pci.1,addr=0x0 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-bios-nvram.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-bios-nvram.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-bios-nvram.args
@@ -16,7 +16,9 @@ readonly=on \
 -uuid 362d1fc1-df7d-193e-5c18-49a71bd1da66 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-test-bios/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-test-bios/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -boot c \
 -usb \
 -drive file=/dev/HostVG/QEMUGuest1,format=raw,if=none,id=drive-ide0-0-0 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-bios.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-bios.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-bios.args
@@ -15,7 +15,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefaults \
 -device sga \
--monitor unix:/tmp/lib/domain--1-test-bios/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-test-bios/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-blkdeviotune-group-num.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-blkdeviotune-group-num.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-blkdeviotune-group-num.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-blkdeviotune-max-length.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-blkdeviotune-max-length.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-blkdeviotune-max-length.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-blkdeviotune-max.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-blkdeviotune-max.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-blkdeviotune-max.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-blkdeviotune.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-blkdeviotune.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-blkdeviotune.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-blkiotune-device.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-blkiotune-device.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-blkiotune-device.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-blkiotune.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-blkiotune.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-blkiotune.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-boot-cdrom.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-boot-cdrom.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-boot-cdrom.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot d \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-boot-complex-bootindex.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-boot-complex-bootindex.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-boot-complex-bootindex.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -usb \
 -drive file=/tmp/vda.img,format=raw,if=none,id=drive-virtio-disk0 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-boot-complex.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-boot-complex.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-boot-complex.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot dnca \
 -usb \
